---
title: 'SyntaxError: missing ) after condition'
slug: Web/JavaScript/Reference/Errors/Missing_parenthesis_after_condition
tags:
  - Error
  - Errors
  - JavaScript
  - SyntaxError
---
<div>{{jsSidebar("Errors")}}</div>

<p>The JavaScript exception "missing ) after condition" occurs when there is an error with how an <code><a href="/en-US/docs/Web/JavaScript/Reference/Statements/if...else">if</a></code> condition is written. It must appear in parenthesis after the <code>if</code> keyword.</p>

<h2 id="Message">Message</h2>

<pre class="syntaxbox">SyntaxError: Expected ')' (Edge)
SyntaxError: missing ) after condition (Firefox)
</pre>

<h2 id="Error_type">Error type</h2>

<p>{{jsxref("SyntaxError")}}</p>

<h2 id="What_went_wrong">What went wrong?</h2>

<p>There is an error with how an <code><a href="/en-US/docs/Web/JavaScript/Reference/Statements/if...else">if</a></code> condition is written. In any programming language, code needs to make decisions and carry out actions accordingly depending on different inputs. The if statement executes a statement if a specified condition is truthy. In JavaScript, this condition must appear in parenthesis after the <code>if</code> keyword, like this:</p>

<pre class="brush: js">if (condition) {
  // do something if the condition is true
}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Missing_parenthesis">Missing parenthesis</h3>

<p>It might just be an oversight, carefully check all you parenthesis in your code.</p>

<pre class="brush: js example-bad">if (3 &gt; Math.PI {
  console.log("wait what?");
}

// SyntaxError: missing ) after condition
</pre>

<p>To fix this code, you would need to add a parenthesis that closes the condition.</p>

<pre class="brush: js example-good">if (3 &gt; Math.PI) {
  console.log("wait what?");
}</pre>

<h3 id="Misused_is_keyword">Misused <code>is</code> keyword</h3>

<p>If you are coming from another programming language, it is also easy to add keywords that don't mean the same or have no meaning at all in JavaScript.</p>

<pre class="brush: js example-bad">if (done is true) {
 console.log("we are done!");
}

// SyntaxError: missing ) after condition
</pre>

<p>Instead you need to use a correct <a href="/en-US/docs/Web/JavaScript/Reference/Operators/Comparison_Operators">comparison operator</a>. For example:</p>

<pre class="brush: js example-good">if (done === true) {
 console.log("we are done!");
}</pre>

<h2 id="See_also">See also</h2>

<ul>
 <li><code><a href="/en-US/docs/Web/JavaScript/Reference/Statements/if...else">if...else</a></code></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Comparison_Operators">Comparison operators</a></li>
 <li>
  <p><a href="/en-US/docs/Learn/JavaScript/Building_blocks/conditionals">Making decisions in your code — conditionals</a></p>
 </li>
</ul>
